yaVDR testing ja linux-media-dkms

Yleiset ongelmat, ohjelmien kääntäminen, kernel, lirc jne.

yaVDR testing ja linux-media-dkms

ViestiKirjoittaja noeikujoo » 12.06.2012 20:24

Kokeilin tuossa asentaa 10.04 Ubuntuun linux-media-dkms paketin yaVDR:n testing ppa:sta. Ilmeisesti tuossa pitäisi olla tuoreemmat DVB-ajurit, mitä Ubuntu kernelin mukana tulee? Asensin paketin ja käynnistin koneen uudestaan, minkä jälkeen Terratecin Cinergy 1200-C kortit lakkasivat toimimasta. Ainoastaan Anyseen E30C viritin toimi oikein:

Koodi: Valitse kaikki
$ cat /var/log/syslog | grep 'DVB'
Jun 12 18:20:47 vdr kernel: [   13.874807] dvb-usb: found a 'Anysee DVB USB2.0' in warm state.
Jun 12 18:20:47 vdr kernel: [   13.876299] DVB: registering new adapter (Anysee DVB USB2.0)
Jun 12 18:20:47 vdr kernel: [   13.925655] DVB: registering adapter 0 frontend 0 (Philips TDA10023 DVB-C)...
Jun 12 18:20:47 vdr kernel: [   14.080403] input: IR-receiver inside an USB DVB receiver as /devices/pci0000:00/0000:00:1a.7/usb1/1-3/rc/rc0/input3
Jun 12 18:20:47 vdr kernel: [   14.080493] rc0: IR-receiver inside an USB DVB receiver as /devices/pci0000:00/0000:00:1a.7/usb1/1-3/rc/rc0
Jun 12 18:20:47 vdr kernel: [   14.080499] dvb-usb: Anysee DVB USB2.0 successfully initialized and connected.
Jun 12 18:20:49 vdr vdr: [1667] registered source parameters for 'C - DVB-C'
Jun 12 18:20:49 vdr vdr: [1667] registered source parameters for 'S - DVB-S'
Jun 12 18:20:49 vdr vdr: [1667] registered source parameters for 'T - DVB-T'
Jun 12 18:20:50 vdr vdr: [1667] frontend 0/0 provides DVB-C with QPSK,QAM16,QAM32,QAM64,QAM128,QAM256 ("Philips TDA10023 DVB-C")
Jun 12 18:20:50 vdr vdr: [1667] found 1 DVB device


Poistin linux-media-dkms paketin ja Terratecin kortit tunnistuvat taas bootisssa normaalisti:
Koodi: Valitse kaikki
$ cat /var/log/syslog | grep 'DVB'
Jun 12 18:23:30 vdr kernel: [   13.774819] DVB: registering new adapter (Terratec Cinergy 1200 DVB-C)
Jun 12 18:23:30 vdr kernel: [   13.810464] dvb-usb: found a 'Anysee DVB USB2.0' in warm state.
Jun 12 18:23:30 vdr kernel: [   13.811212] DVB: registering new adapter (Anysee DVB USB2.0)
Jun 12 18:23:30 vdr kernel: [   13.942038] DVB: registering adapter 0 frontend 0 (Philips TDA10023 DVB-C)...
Jun 12 18:23:30 vdr kernel: [   13.988460] input: IR-receiver inside an USB DVB receiver as /devices/pci0000:00/0000:00:1a.7/usb1/1-3/input/input3
Jun 12 18:23:30 vdr kernel: [   13.988525] dvb-usb: Anysee DVB USB2.0 successfully initialized and connected.
Jun 12 18:23:30 vdr kernel: [   14.321887] DVB: registering adapter 2 frontend 0 (Philips TDA10021 DVB-C)...
Jun 12 18:23:30 vdr kernel: [   14.322152] DVB: registering new adapter (Terratec Cinergy 1200 DVB-C)
Jun 12 18:23:30 vdr kernel: [   14.861913] DVB: registering adapter 1 frontend 0 (Philips TDA10021 DVB-C)...
Jun 12 18:23:32 vdr vdr: [1667] registered source parameters for 'C - DVB-C'
Jun 12 18:23:32 vdr vdr: [1667] registered source parameters for 'S - DVB-S'
Jun 12 18:23:32 vdr vdr: [1667] registered source parameters for 'T - DVB-T'
Jun 12 18:23:32 vdr vdr: [1667] frontend 0/0 provides DVB-C with QPSK,QAM16,QAM32,QAM64,QAM128,QAM256 ("Philips TDA10023 DVB-C")
Jun 12 18:23:34 vdr vdr: [1667] frontend 1/0 provides DVB-C with QPSK,QAM16,QAM32,QAM64,QAM128,QAM256 ("Philips TDA10021 DVB-C")
Jun 12 18:23:35 vdr vdr: [1667] frontend 2/0 provides DVB-C with QPSK,QAM16,QAM32,QAM64,QAM128,QAM256 ("Philips TDA10021 DVB-C")
Jun 12 18:23:35 vdr vdr: [1667] found 3 DVB devices


Ilmesesti tuosta linux-media-dkms paketista puuttuu Terratecin ajurit vai onko jotain muuta pielessä?
Avatar
noeikujoo
Yli-ihminen
 
Viestit: 2156
Liittynyt: 23.08.2004 3:00
Paikkakunta: Kajaani

Re: yaVDR testing ja linux-media-dkms

ViestiKirjoittaja noeikujoo » 12.06.2012 22:06

Sama juttu yaVDR stable v4l-dvb-dkms paketin kanssa, että Terratecin kortit eivät toimi:

Koodi: Valitse kaikki
$ sudo modprobe budget_av
WARNING: Error inserting saa7146_vv (/lib/modules/2.6.32-41-generic/updates/dkms/saa7146_vv.ko): Unknown symbol in module, or unknown parameter (see dmesg)
FATAL: Error inserting budget_av (/lib/modules/2.6.32-41-generic/updates/dkms/budget-av.ko): Unknown symbol in module, or unknown parameter (see dmesg)


Dmesg:
Koodi: Valitse kaikki
[  168.268091] videodev: disagrees about version of symbol v4l2_compat_ioctl32
[  168.268098] videodev: Unknown symbol v4l2_compat_ioctl32
Avatar
noeikujoo
Yli-ihminen
 
Viestit: 2156
Liittynyt: 23.08.2004 3:00
Paikkakunta: Kajaani

Re: yaVDR testing ja linux-media-dkms

ViestiKirjoittaja P.Kosunen » 13.06.2012 12:39

P.Kosunen
Yli-ihminen
 
Viestit: 1120
Liittynyt: 06.11.2005 14:08
Paikkakunta: Helsinki

Re: yaVDR testing ja linux-media-dkms

ViestiKirjoittaja noeikujoo » 13.06.2012 12:47

P.Kosunen kirjoitti:Uskaltaakohan LTS:ään päivittää uudemman 3-sarjalaisen kernelin?

Parempi, ettei mene päivittelemään, kun tuo toimii kuitenkin muuten. Ajattelin vaan, että jos olisi saanut tuohon Ubuntuun uudemmat DVB-ajurit, niin silloin ei tarvitsisi aina asentaa DVB API wrapper patchia, että saa VDR:n ja pluginit kääntymään.
Avatar
noeikujoo
Yli-ihminen
 
Viestit: 2156
Liittynyt: 23.08.2004 3:00
Paikkakunta: Kajaani

Re: yaVDR testing ja linux-media-dkms

ViestiKirjoittaja jarno » 13.06.2012 12:59

noeikujoo kirjoitti:Ajattelin vaan, että jos olisi saanut tuohon Ubuntuun uudemmat DVB-ajurit, niin silloin ei tarvitsisi aina asentaa DVB API wrapper patchia, että saa VDR:n ja pluginit kääntymään.

Käännä itse uusimmat dvb-ajurit vanhaa kerneliä vasten? Wikin ohje
Avatar
jarno
Yli-ihminen
 
Viestit: 526
Liittynyt: 25.06.2005 3:00
Paikkakunta: Tampere

Re: yaVDR testing ja linux-media-dkms

ViestiKirjoittaja noeikujoo » 13.06.2012 13:05

jarno kirjoitti:Käännä itse uusimmat dvb-ajurit vanhaa kerneliä vasten? Wikin ohje

Tuossa on vaan sitten se ongelma, että jos kerneli päivittyy sudo apt-get upgradessa, niin ajurit joutuu kääntämään uudestaan, ellei sitten tuohon virittele dkms:ää.
Avatar
noeikujoo
Yli-ihminen
 
Viestit: 2156
Liittynyt: 23.08.2004 3:00
Paikkakunta: Kajaani

Re: yaVDR testing ja linux-media-dkms

ViestiKirjoittaja jarno » 13.06.2012 16:38

noeikujoo kirjoitti:
jarno kirjoitti:Käännä itse uusimmat dvb-ajurit vanhaa kerneliä vasten? Wikin ohje

Tuossa on vaan sitten se ongelma, että jos kerneli päivittyy sudo apt-get upgradessa, niin ajurit joutuu kääntämään uudestaan, ellei sitten tuohon virittele dkms:ää.

Apt-pinningillä kernel pysymäään nykyisessä versiossa.
Avatar
jarno
Yli-ihminen
 
Viestit: 526
Liittynyt: 25.06.2005 3:00
Paikkakunta: Tampere

Re: yaVDR testing ja linux-media-dkms

ViestiKirjoittaja noeikujoo » 13.06.2012 21:59

jarno kirjoitti:Apt-pinningillä kernel pysymäään nykyisessä versiossa.

Pinning olikin mulle ihan outo juttu. Googlettamalla löysin tällaisen ohjeen tuosta pinninigistä. Tein sen perusteella seuraavanlaisen /etc/apt/preferences -tiedoston:
Koodi: Valitse kaikki
$ cat /etc/apt/preferences
Package: linux-generic linux-headers-generic linux-image-generic linux-restricted-modules-generic
Pin: version 2.6.32.41.48
Pin-Priority: 1001


Koodi: Valitse kaikki
$ apt-cache policy
Package files:
 100 /var/lib/dpkg/status
     release a=now
 500 http://ppa.launchpad.net/yavdr/stable-vdr/ubuntu/ lucid/main Packages
     release v=10.04,o=LP-PPA-yavdr-stable-vdr,a=lucid,n=lucid,l=stable-vdr,c=main
     origin ppa.launchpad.net
 500 http://ppa.launchpad.net/freenx-team/ppa/ubuntu/ lucid/main Packages
     release v=10.04,o=LP-PPA-freenx-team,a=lucid,n=lucid,l=FreeNX Stable PPA,c=main
     origin ppa.launchpad.net
 500 http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Packages
     release v=10.04,o=Ubuntu,a=lucid-security,n=lucid,l=Ubuntu,c=multiverse
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ lucid-security/universe Packages
     release v=10.04,o=Ubuntu,a=lucid-security,n=lucid,l=Ubuntu,c=universe
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ lucid-security/restricted Packages
     release v=10.04,o=Ubuntu,a=lucid-security,n=lucid,l=Ubuntu,c=restricted
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ lucid-security/main Packages
     release v=10.04,o=Ubuntu,a=lucid-security,n=lucid,l=Ubuntu,c=main
     origin security.ubuntu.com
 500 http://fi.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Packages
     release v=10.04,o=Ubuntu,a=lucid-updates,n=lucid,l=Ubuntu,c=multiverse
     origin fi.archive.ubuntu.com
 500 http://fi.archive.ubuntu.com/ubuntu/ lucid-updates/universe Packages
     release v=10.04,o=Ubuntu,a=lucid-updates,n=lucid,l=Ubuntu,c=universe
     origin fi.archive.ubuntu.com
 500 http://fi.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Packages
     release v=10.04,o=Ubuntu,a=lucid-updates,n=lucid,l=Ubuntu,c=restricted
     origin fi.archive.ubuntu.com
 500 http://fi.archive.ubuntu.com/ubuntu/ lucid-updates/main Packages
     release v=10.04,o=Ubuntu,a=lucid-updates,n=lucid,l=Ubuntu,c=main
     origin fi.archive.ubuntu.com
 500 http://fi.archive.ubuntu.com/ubuntu/ lucid/multiverse Packages
     release v=10.04,o=Ubuntu,a=lucid,n=lucid,l=Ubuntu,c=multiverse
     origin fi.archive.ubuntu.com
 500 http://fi.archive.ubuntu.com/ubuntu/ lucid/universe Packages
     release v=10.04,o=Ubuntu,a=lucid,n=lucid,l=Ubuntu,c=universe
     origin fi.archive.ubuntu.com
 500 http://fi.archive.ubuntu.com/ubuntu/ lucid/restricted Packages
     release v=10.04,o=Ubuntu,a=lucid,n=lucid,l=Ubuntu,c=restricted
     origin fi.archive.ubuntu.com
 500 http://fi.archive.ubuntu.com/ubuntu/ lucid/main Packages
     release v=10.04,o=Ubuntu,a=lucid,n=lucid,l=Ubuntu,c=main
     origin fi.archive.ubuntu.com
Pinned packages:
     linux-generic -> 2.6.32.41.48
     linux-headers-generic -> 2.6.32.41.48
     linux-image-generic -> 2.6.32.41.48



Koodi: Valitse kaikki
$ apt-cache policy linux-generic
linux-generic:
  Installed: 2.6.32.41.48
  Candidate: 2.6.32.41.48
  Package pin: 2.6.32.41.48
  Version table:
 *** 2.6.32.41.48 1001
        500 http://fi.archive.ubuntu.com/ubuntu/ lucid-updates/main Packages
        500 http://security.ubuntu.com/ubuntu/ lucid-security/main Packages
        100 /var/lib/dpkg/status
     2.6.32.21.22 1001
        500 http://fi.archive.ubuntu.com/ubuntu/ lucid/main Packages


Ilmeisesti kernel pitäisi nyt pysyä nykyisessä versiossa?
Avatar
noeikujoo
Yli-ihminen
 
Viestit: 2156
Liittynyt: 23.08.2004 3:00
Paikkakunta: Kajaani

Re: yaVDR testing ja linux-media-dkms

ViestiKirjoittaja nm » 13.06.2012 23:46

noeikujoo kirjoitti:Pinning olikin mulle ihan outo juttu. Googlettamalla löysin tällaisen ohjeen tuosta pinninigistä.

Hold on yleensä helpompi ratkaisu päivittymisen estämiseen: https://help.ubuntu.com/community/Pinni ... g_Packages
nm
Johtava konsultti
 
Viestit: 3145
Liittynyt: 22.07.2005 3:00

Re: yaVDR testing ja linux-media-dkms

ViestiKirjoittaja noeikujoo » 14.06.2012 7:54

nm kirjoitti:Hold on yleensä helpompi ratkaisu päivittymisen estämiseen: https://help.ubuntu.com/community/Pinni ... g_Packages

Okei, löysin vaan ekaksi tuon pinning ohjeen Googlella, kun etsin ratkaisua siihen, miten kernelin saa pysymään halutussa versiossa. Holdia olenkin käyttänyt tähän saakka mm. VDR-pakettien päivittymisen estämiseen. Käsittääkseni pinning piilottaa paketit myös update managerin listalta? Ainakin holdilla estettyt vdr päivitykset näkyvät aina update managerin listalla, mutta niitä ei voi valita.
Avatar
noeikujoo
Yli-ihminen
 
Viestit: 2156
Liittynyt: 23.08.2004 3:00
Paikkakunta: Kajaani


Paluu Linux

Paikallaolijat

Käyttäjiä lukemassa tätä aluetta: Ei rekisteröityneitä käyttäjiä ja 1 vierailijaa